<?php

  $mediquip_plus_first_color = get_theme_mod('mediquip_plus_first_color');
  $mediquip_plus_second_color = get_theme_mod('mediquip_plus_second_color');
  $mediquip_plus_color_scheme_css = '';

/*------------------ Global First Color -----------*/

if ($mediquip_plus_first_color) {
  $mediquip_plus_color_scheme_css .= ':root {';
  $mediquip_plus_color_scheme_css .= '--first-theme-color: ' . esc_attr($mediquip_plus_first_color) . ' !important;';
  $mediquip_plus_color_scheme_css .= '} ';
}

/*------------------ Global Second Color -----------*/

if ($mediquip_plus_second_color) {
  $mediquip_plus_color_scheme_css .= ':root {';
  $mediquip_plus_color_scheme_css .= '--second-theme-color: ' . esc_attr($mediquip_plus_second_color) . ' !important;';
  $mediquip_plus_color_scheme_css .= '} ';
}

  $mediquip_plus_color_scheme_css .= '.catwrapslider .owl-prev, .catwrapslider .owl-next, .shop-now a {';
  $mediquip_plus_color_scheme_css .= 'background-color: ' . esc_attr($mediquip_plus_second_color) . ' !important;'; 
  $mediquip_plus_color_scheme_css .= 'opacity: 0.5;';
  $mediquip_plus_color_scheme_css .= '}';    
 
/*---------------------------------Logo-Max-height---------*/
  $mediquip_plus_logo_width = get_theme_mod('mediquip_plus_logo_width');

  if($mediquip_plus_logo_width != false){

    $mediquip_plus_color_scheme_css .='.logo img{';

      $mediquip_plus_color_scheme_css .='width: '.esc_html($mediquip_plus_logo_width).'px;';

    $mediquip_plus_color_scheme_css .='}';
  }

/*---------------------------Slider Height ------------*/

  $mediquip_plus_slider_img_height = get_theme_mod('mediquip_plus_slider_img_height');
  if($mediquip_plus_slider_img_height != false){
      $mediquip_plus_color_scheme_css .='.slidesection img{';
          $mediquip_plus_color_scheme_css .='height: '.esc_attr($mediquip_plus_slider_img_height).' !important;';
      $mediquip_plus_color_scheme_css .='}';
  }

/*--------------------------- Footer background image -------------------*/

  $mediquip_plus_footer_bg_image = get_theme_mod('mediquip_plus_footer_bg_image');
  if($mediquip_plus_footer_bg_image != false){
      $mediquip_plus_color_scheme_css .='#footer{';
          $mediquip_plus_color_scheme_css .='background: url('.esc_attr($mediquip_plus_footer_bg_image).')!important;';
      $mediquip_plus_color_scheme_css .='}';
  }

/*--------------------------- Scroll to top positions -------------------*/

  $mediquip_plus_scroll_position = get_theme_mod( 'mediquip_plus_scroll_position','Right');
  if($mediquip_plus_scroll_position == 'Right'){
      $mediquip_plus_color_scheme_css .='#button{';
          $mediquip_plus_color_scheme_css .='right: 20px;';
      $mediquip_plus_color_scheme_css .='}';
  }else if($mediquip_plus_scroll_position == 'Left'){
      $mediquip_plus_color_scheme_css .='#button{';
          $mediquip_plus_color_scheme_css .='left: 20px;';
      $mediquip_plus_color_scheme_css .='}';
  }else if($mediquip_plus_scroll_position == 'Center'){
      $mediquip_plus_color_scheme_css .='#button{';
          $mediquip_plus_color_scheme_css .='right: 50%;left: 50%;';
      $mediquip_plus_color_scheme_css .='}';
  }    

/*--------------------------- Blog Post Page Image Box Shadow -------------------*/

  $mediquip_plus_blog_post_page_image_box_shadow = get_theme_mod('mediquip_plus_blog_post_page_image_box_shadow',0);
  if($mediquip_plus_blog_post_page_image_box_shadow != false){
      $mediquip_plus_color_scheme_css .='.post-thumb img{';
          $mediquip_plus_color_scheme_css .='box-shadow: '.esc_attr($mediquip_plus_blog_post_page_image_box_shadow).'px '.esc_attr($mediquip_plus_blog_post_page_image_box_shadow).'px '.esc_attr($mediquip_plus_blog_post_page_image_box_shadow).'px #cccccc;';
      $mediquip_plus_color_scheme_css .='}';
  }

/*--------------------------- Woocommerce Product Image Border Radius -------------------*/

  $mediquip_plus_woo_product_img_border_radius = get_theme_mod('mediquip_plus_woo_product_img_border_radius');
  if($mediquip_plus_woo_product_img_border_radius != false){
      $mediquip_plus_color_scheme_css .='.woocommerce ul.products li.product a img{';
          $mediquip_plus_color_scheme_css .='border-radius: '.esc_attr($mediquip_plus_woo_product_img_border_radius).'px;';
      $mediquip_plus_color_scheme_css .='}';
  }

/*--------------------------- Shop page pagination -------------------*/

  $mediquip_plus_wooproducts_nav = get_theme_mod('mediquip_plus_wooproducts_nav', 'Yes');
  if($mediquip_plus_wooproducts_nav == 'No'){
    $mediquip_plus_color_scheme_css .='.woocommerce nav.woocommerce-pagination{';
      $mediquip_plus_color_scheme_css .='display: none;';
    $mediquip_plus_color_scheme_css .='}';
  }

/*--------------------------- Related Product -------------------*/

  $mediquip_plus_related_product_enable = get_theme_mod('mediquip_plus_related_product_enable',true);
  if($mediquip_plus_related_product_enable == false){
    $mediquip_plus_color_scheme_css .='.related.products{';
      $mediquip_plus_color_scheme_css .='display: none;';
    $mediquip_plus_color_scheme_css .='}';
  }    

/*--------------------------- Woocommerce Product Sale Position -------------------*/    

  $mediquip_plus_product_sale_position = get_theme_mod( 'mediquip_plus_product_sale_position','Left');
  if($mediquip_plus_product_sale_position == 'Right'){
      $mediquip_plus_color_scheme_css .='.woocommerce ul.products li.product .onsale{';
          $mediquip_plus_color_scheme_css .='left:auto !important; right:.5em !important;';
      $mediquip_plus_color_scheme_css .='}';
  }else if($mediquip_plus_product_sale_position == 'Left'){
      $mediquip_plus_color_scheme_css .='.woocommerce ul.products li.product .onsale {';
          $mediquip_plus_color_scheme_css .='right:auto !important; left:.5em !important;';
      $mediquip_plus_color_scheme_css .='}';
  } 

/*--------------------------- Scroll to Top Button Shape -------------------*/

  $mediquip_plus_scroll_top_shape = get_theme_mod('mediquip_plus_scroll_top_shape', 'circle');
  if($mediquip_plus_scroll_top_shape == 'box' ){
      $mediquip_plus_color_scheme_css .='#button{';
          $mediquip_plus_color_scheme_css .=' border-radius: 0%';
      $mediquip_plus_color_scheme_css .='}';
  }elseif($mediquip_plus_scroll_top_shape == 'curved' ){
      $mediquip_plus_color_scheme_css .='#button{';
          $mediquip_plus_color_scheme_css .=' border-radius: 20%';
      $mediquip_plus_color_scheme_css .='}';
  }elseif($mediquip_plus_scroll_top_shape == 'circle' ){
      $mediquip_plus_color_scheme_css .='#button{';
          $mediquip_plus_color_scheme_css .=' border-radius: 50%;';
      $mediquip_plus_color_scheme_css .='}';
  }